Package org.apache.wiki.bootstrap

# Class WikiBootstrapServletContextListener

java.lang.Object
org.apache.wiki.bootstrap.WikiBootstrapServletContextListener

All Implemented Interfaces:
  `EventListener`, `javax.servlet.ServletContextListener`

public class WikiBootstrapServletContextListener extends Object implements javax.servlet.ServletContextListener

## Constructor Summary

Constructors
Constructor
Description
`WikiBootstrapServletContextListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contextDestroyed(javax.servlet.ServletContextEvent sce)`
`void`
`contextInitialized(javax.servlet.ServletContextEvent sce)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WikiBootstrapServletContextListener

public WikiBootstrapServletContextListener()

## Method Details

### contextInitialized

public void contextInitialized(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

public void contextDestroyed(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`